import { Colors } from '../../../../theme';
import { StyleSheet } from 'react-native';
import { getFontSize } from '../../../../utils';
import { widthPercentageToDP } from '../../ProfileScreen/navigation-opts';

export const ProfileStyles = StyleSheet.create({
  badge: {
    width: 36,
    height: 14,
    borderRadius: 7,
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center'
  },
  badgesWrapper: {
    display: 'flex',
    flexDirection: 'row',
    gap: 3,
    marginLeft: 10
  },
  profileRoot: {
    alignItems: 'center',
    flexDirection: 'row',
    gap: 10,
    marginBottom: 5
  },
  profileAvatar: {
    borderRadius: 24,
    width: 48,
    height: 48
  },
  profileFirstLastName: {
    flex: 1,
    fontFamily: 'redhat-700',
    color: Colors.DARK_BLUE,
    fontSize: getFontSize(12)
  },
  profileDataRoot: {
    gap: 5,
    width: '75%'
  },
  profileDataContainer: {
    display: 'flex',
    justifyContent: 'space-between',
    flexDirection: 'row'
  },
  profileDataWrapper: {
    display: 'flex',
    flexDirection: 'row',
    gap: 10,
    alignItems: 'center'
  },
  profileAge: {
    color: Colors.DARK_BLUE,
    fontWeight: '600',
    fontSize: getFontSize(12)
  },
  countryFlag: {
    width: 20,
    height: 20,
    borderRadius: 20 / 2,
    borderWidth: 0.5,
    borderColor: 'gray'
  }
});

export const ScoreStyles = StyleSheet.create({
  scoreWrapper: {
    display: 'flex',
    alignItems: 'center',
    justifyContent: 'center',
    flexDirection: 'column',
    flexBasis: '18%',
    marginBottom: 10,
    width: 40
  },
  scoreHeaderText: {
    fontFamily: 'redhat-700',
    color: Colors.DARK_BLUE,
    fontSize: getFontSize(12),
    textAlign: 'center'
  },
  scoreNameText: {
    color: Colors.DARK_BLUE,
    fontWeight: '600',
    fontSize: getFontSize(11),
    textAlign: 'center'
  },
  rankText: {
    fontSize: 18,
    color: Colors.DARK_BLUE,
    fontWeight: '700',
    position: 'absolute',
    left: -20,
    top: 10
  },
  nmWrapper: {
    paddingTop: 17,
    paddingBottom: 17,
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center',
    marginLeft: widthPercentageToDP(6)
  },
  rankingWrapper: {
    display: 'flex',
    flexDirection: 'row',
    justifyContent: 'center',
    alignItems: 'center',
    marginBottom: 15,
    flex: 1
  },
  rankingScoresWrapper: {
    display: 'flex',
    flexDirection: 'row',
    justifyContent: 'center',
    alignItems: 'center',
    flexWrap: 'wrap',
    columnGap: 5,
    flex: 1
  },
  activeScoreRanking: {
    fontSize: 20,
    color: Colors.DARK_BLUE,
    fontWeight: '700'
  },
  activeScoreName: {
    fontSize: 14,
    color: Colors.DARK_BLUE,
    fontWeight: '500'
  }
});

export const TBTStyles = StyleSheet.create({
  badgeRoot: {
    display: 'flex',
    marginTop: 10
  },
  badgeWrapper: {
    display: 'flex',
    alignItems: 'center'
  }
});

export const HorizontalSelectStyles = StyleSheet.create({
  wrapper: {
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center',
    paddingLeft: 10,
    paddingRight: 10,
    borderRadius: 17,
    height: 33
  },
  text: {
    fontSize: getFontSize(12),
    fontWeight: '600'
  },
  notActiveText: {
    color: Colors.DARK_BLUE
  },
  activeText: {
    color: Colors.WHITE
  },
  notSelected: {
    backgroundColor: Colors.WHITE,
    borderColor: 'rgba(15, 63, 79, 0.3)',
    borderWidth: 1
  },
  selected: {
    backgroundColor: Colors.ORANGE
  }
});

export const ModalStyles = StyleSheet.create({
  dropdown: {
    width: '47%',
    height: 40,
    backgroundColor: '#F4F4F4',
    borderRadius: 4,
    paddingHorizontal: 8
  },
  placeholderStyle: {
    fontSize: 16,
    color: Colors.DARK_BLUE
  },
  selectedTextStyle: {
    fontSize: 16,
    color: Colors.DARK_BLUE
  },
  ageAndRankingWrapper: {
    width: '100%',
    display: 'flex',
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'space-between',
    marginTop: 20
  },
  buttonsWrapper: {
    width: '100%',
    display: 'flex',
    justifyContent: 'space-between',
    flexDirection: 'row',
    marginTop: 15
  }
});
